Differences between revisions 45 and 46
Revision 45 as of 2014-09-06 16:42:58
Size: 16279
Editor: TimRetout
Comment:
Revision 46 as of 2014-09-06 16:44:29
Size: 16249
Editor: TimRetout
Comment:
Deletions are marked like this. Additions are marked like this.
Line 64: Line 64:
||<style="font-family: courier, monospace; white-space: pre-wrap; word-wrap: break-word;"> ├── express || express (4.8.5) || node-express (4.1.1~dfsg-1) || node-utils-merge (1.0.0-1) || || ||<style="font-family: courier, monospace; white-space: pre-wrap; word-wrap: break-word;"> ├── express || express (4.8.5) || node-express (4.1.1~dfsg-1) || ||

Packaging pump.io

Introduction

In this page will be tracked packaging information about pump.io nodejs module.

Please do not edit this page by hand. Use this script instead.

For more information about packaging a Node.js module, please take a look at this page.

Build dependencies

Name

npm

debian

task

xml2js

xml2js (0.4.4)

node-xml2js (0.2.8-1)

vows

vows (0.7.0)

vows (0.7.0-2)

simplesmtp

simplesmtp (0.3.32)

zombie

zombie (2.0.0-alpha31)

rimraf

rimraf (2.2.8)

node-rimraf (2.2.2-2)

node-mocks-http

node-mocks-http (1.0.4)

Dependencies

Name

npm

debian

task

pump.io

pump.io (0.3.0)

#726486

├── bcrypt

bcrypt (0.8.0)

│   ├── bindings

bindings (1.2.1)

node-bindings (1.2.1-1)

│   └── nan

nan (1.3.0)

node-nan (1.2.0-1)

├── bunyan

bunyan (1.0.0)

│   └── mv

mv (2.0.3)

#753285 ITP - in NEW

│   ├── mkdirp

mkdirp (0.5.0)

node-mkdirp (0.3.5-1)

│   ├── ncp

ncp (0.6.0)

node-ncp (0.6.0-1)

│   └── rimraf

rimraf (2.2.8)

node-rimraf (2.2.2-2)

├── connect

connect (2.25.7)

node-connect (3.0.0-1)

│ └── <lots>

├── connect-auth

connect-auth (0.6.1)

│   ├── connect

connect (2.25.7)

node-connect (3.0.0-1)

│   ├── oauth

oauth (0.9.12)

node-oauth (0.9.8-1)

│   └── openid

openid (0.5.9)

#759507 Done

├── connect-databank

connect-databank (0.13.0)

│   ├── async

async (0.9.0)

node-async (0.8.0-1)

│   ├── databank

databank (0.19.1)

#759513 Done

│   ├── node-uuid

node-uuid (1.4.1)

node-uuid (1.4.0-1)

│   ├── set-immediate

set-immediate (0.1.1)

Deprecated; can be patched out

│   └── underscore

underscore (1.6.0)

underscore (1.4.4-2)

├── crypto-cacerts

crypto-cacerts (0.1.0)

crypto-cacerts would be a no-op on Debian

├── databank

databank (0.19.1)

#759513 Done

│   ├── set-immediate

set-immediate (0.1.1)

Deprecated; can be patched out

│   ├── step

step (0.0.5)

step.js (0.0.5+20111229-1)

│   └── vows

vows (0.7.0)

vows (0.7.0-2)

│   ├── diff

diff (1.0.8)

node-diff (1.0.4-1)

│   └── eyes

eyes (0.1.8)

eyes.js (0.1.8-1)

├── dateformat

dateformat (1.0.8-1.2.3)

#718936 ITP

├── dialback-client

dialback-client (0.2.0)

│   ├── databank

databank (0.19.1)

#759513 Done

│   ├── step

step (0.0.5)

step.js (0.0.5+20111229-1)

│   └── underscore

underscore (1.6.0)

underscore (1.4.4-2)

├── emailjs

emailjs (0.3.11)

│   ├── bufferjs

bufferjs (2.0.0)

│   ├── mimelib

mimelib (0.2.17)

│   │   ├── addressparser

addressparser (0.3.1)

Missing copyright

│   │   └── encoding

encoding (0.1.8)

Copyright added upstream

│   │   └── iconv-lite

iconv-lite (0.4.4)

#744348 Can be patched out for node-iconv

│   └── moment

moment (2.8.1)

#759598 ITP

├── express

express (4.8.5)

node-express (4.1.1~dfsg-1)

│   └── <lots>

├── gm

gm (1.16.0)

│   ├── array-parallel

array-parallel (0.1.3)

│   ├── array-series

array-series (0.1.5)

│   ├── debug

debug (1.0.4)

node-debug (0.8.1-1)

│   ├── stream-to-buffer

stream-to-buffer (0.1.0)

│   │   └── stream-to

stream-to (2.0.0)

│   └── through

through (2.3.4)

├── jankyqueue

jankyqueue (0.1.1)

Missing upstream tag

├── mkdirp

mkdirp (0.5.0)

node-mkdirp (0.3.5-1)

│   └── minimist

minimist (1.1.0)

├── node-uuid

node-uuid (1.4.1)

node-uuid (1.4.0-1)

├── oauth-evanp

oauth-evanp (0.9.10-evanp.2)

Fork of node-oauth, needs investigation

├── optimist

optimist (0.6.1)

node-optimist (0.3.5-1)

│   ├── minimist

minimist (1.1.0)

│   └── wordwrap

wordwrap (0.0.2)

node-wordwrap (0.0.2-2)

├── schlock

schlock (0.2.1)

├── set-immediate

set-immediate (0.1.1)

Deprecated; can be patched out

├── showdown

showdown (0.3.1)

showdown (0.0.1-1)

├── sockjs

sockjs (0.3.9)

│   ├── faye-websocket

faye-websocket (0.7.2)

#760495 ITP

│   │   └── websocket-driver

websocket-driver (0.3.5)

#759423 Done

│   └── node-uuid

node-uuid (1.4.1)

node-uuid (1.4.0-1)

├── step

step (0.0.5)

step.js (0.0.5+20111229-1)

├── underscore

underscore (1.6.0)

underscore (1.4.4-2)

├── underscore-contrib

underscore-contrib (0.3.0)

│   └── underscore

underscore (1.6.0)

underscore (1.4.4-2)

├── utml

utml (0.2.0)

│   └── underscore

underscore (1.6.0)

underscore (1.4.4-2)

├── validator

validator (3.17.0)

#759108 Done

└── webfinger

webfinger (0.4.2)

#758672 Done

├── step

step (0.0.5)

step.js (0.0.5+20111229-1)

└── xml2js

xml2js (0.4.4)

node-xml2js (0.2.8-1)

├── sax

sax (0.6.0)

sax.js (0.5.5-1)

└── xmlbuilder

xmlbuilder (2.4.3)

└── lodash-node

lodash-node (2.4.1)

Legenda

not needed

in progress

done

warning

error

Package.json

The package.json for pump.io can be seen by typing:

npm view pump.io